# Process this file with autoconf to produce a configure script.

# use a recent version of autoconf > 2.53
AC_PREREQ(2.61)

# package name,version,bug report
AC_INIT([dyalog-sqlite],1.1.0,[Eric.De_La_Clergerie@inria.fr])

# check on file README
AC_CONFIG_SRCDIR(README)

# config file in root dir
AC_CONFIG_AUX_DIR(./)

AUTOMAKE=${AUTOMAKE-"automake-dyalog -af"}

AM_INIT_AUTOMAKE([1.9])
AC_CONFIG_MACRO_DIR([m4])

AC_CANONICAL_HOST
AC_C_CONST
AC_C_INLINE

ASFLAGS="-Wall"

# Checks for programs.
AC_PROG_CC
AM_PROG_AS
AC_DISABLE_FAST_INSTALL
AC_PROG_LIBTOOL
AC_PROG_INSTALL

# Checks for library functions.
AC_CHECK_FUNCS([strdup])

# check for DyALog
# also check if it is an installed version or a developpment one
AC_PATH_DYALOG([1.13.0])

# check for DyALog module (e.g. dyalog-xml)
# DYALOG_PKG_CHECK_MODULES([DYALOG_XML], dyalog-xml >= 1.0.0 )

# check for sqlite
PKG_CHECK_MODULES([SQLITE], sqlite3 >= 3.0.0)
AC_SUBST(SQLITE_LIBS)
AC_SUBST(SQLITE_CFLAGS)

LIBS="$LIBS $SQLITE_LIBS $DYALOG_LIBS"
CFLAGS="$CFLAGS $DYALOG_CFLAGS $SQLITE_CFLAGS"

AUTHOR="Eric de la Clergerie"
AC_SUBST(AUTHOR)

AC_CONFIG_FILES([Makefile])
AC_CONFIG_FILES([dyalog-sqlite.pc:pkg.pc.in])

AC_OUTPUT


